org.apache.thrift.protocol

## Class TBinaryProtocol.Factory

- java.lang.Object
- - org.apache.thrift.protocol.TBinaryProtocol.Factory

- All Implemented Interfaces:
    java.io.Serializable, TProtocolFactory
  Enclosing class:
    TBinaryProtocol

      public static class TBinaryProtocol.Factory
      extends java.lang.Object
      implements TProtocolFactory

  Factory
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `readLength_`
    `protected boolean` | `strictRead_`
    `protected boolean` | `strictWrite_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBinaryProtocol.Factory()`
    `TBinaryProtocol.Factory(boolean strictRead, boolean strictWrite)`
    `TBinaryProtocol.Factory(boolean strictRead, boolean strictWrite, int readLength)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProtocol` | `getProtocol(TTransport trans)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strictRead_

          protected boolean strictRead_

    - #### strictWrite_

          protected boolean strictWrite_

    - #### readLength_

          protected int readLength_

  - ### Constructor Detail

    - #### TBinaryProtocol.Factory

          public TBinaryProtocol.Factory()

    - #### TBinaryProtocol.Factory

          public TBinaryProtocol.Factory(boolean strictRead,
                                 boolean strictWrite)

    - #### TBinaryProtocol.Factory

          public TBinaryProtocol.Factory(boolean strictRead,
                                 boolean strictWrite,
                                 int readLength)

  - ### Method Detail

    - #### getProtocol

          public TProtocol getProtocol(TTransport trans)

      Specified by:
        `getProtocol` in interface `TProtocolFactory`